#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::set_type"
  void Vhdl::set_type (std::string      name     ,
		       std::string      type     )
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    set_list(_list_type, "type "+ name + "\tis " + type);
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
